Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029674
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2015-04-22 15:322016-12-16 18:37
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision789db27692a6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029674: Not possible to post a payment in if the role does not have access to the Currency window

DescriptionNot possible to post a payment in if the role does not have access to the Currency window
Steps To ReproduceAs group admin role:
   Remove the record of Currency window for F&B International Group Admin role
   Log out and log in again
   Configure a payment method in the financial account in order to accept payments in multiple currencies
   Create a payment in a different currency than the currency of the financial account
   Try to post it
   The following error message is shown in a pop-up:
      java.lang.NullPointerException
   The log shows:
org.openbravo.base.exception.OBSecurityException: Entity Currency is not directly readable, only id and identifier properties are readable, property Currency.standardPrecision is neither of these.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079106)
AtulOpenbravo (developer)
2015-07-28 16:31
edited on: 2016-03-04 14:37

Test Plan
- Login as group admin role
- Navigate to Role window: Remove the record of Currency window for F&B International Group Admin role.
- Log out and log in again
- Configure a payment method in the financial account in order to accept payments in multiple currencies
- Create a payment in a different currency than the currency of the financial account.
- Try to post it in any of the three steps (Payment In, Financial Account Transaction, Reconciliation)
- Check that posting is successfully done.

Repeat same test for Payment Out.

(0084725)
psanjuan (manager)
2016-03-04 12:16

Issue verified
(0084743)
psanjuan (manager)
2016-03-04 14:55

Test plan above verified.

Issue can be code reviewed and closed.
(0090623)
hgbot (developer)
2016-10-17 12:10

Repository: erp/devel/pi
Changeset: 789db27692a68070dadce30358508071032ca639
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 28 20:07:53 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/789db27692a68070dadce30358508071032ca639 [^]

Fixes issue 29674: Error posting a payment if no access to Currency window

Change OBContext to admin mode needed before accessing currency objects in isconvertible method of AcctServer class.

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0090627)
aferraz (developer)
2016-10-17 12:11

Code review + Testing OK
(0092516)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-22 15:32 ngarcia New Issue
2015-04-22 15:32 ngarcia Assigned To => Triage Finance
2015-04-22 15:32 ngarcia Modules => Core
2015-04-22 15:32 ngarcia Triggers an Emergency Pack => No
2015-04-22 15:35 ngarcia Issue Monitored: networkb
2015-04-23 13:35 ngarcia Category Z. Others => 09. Financial management
2015-07-28 16:29 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-07-28 16:30 AtulOpenbravo Status new => scheduled
2015-07-28 16:31 AtulOpenbravo Note Added: 0079106
2016-03-04 12:16 psanjuan Note Added: 0084725
2016-03-04 14:09 psanjuan Note Edited: 0079106 View Revisions
2016-03-04 14:37 psanjuan Note Edited: 0079106 View Revisions
2016-03-04 14:55 psanjuan Note Added: 0084743
2016-10-17 12:10 hgbot Checkin
2016-10-17 12:10 hgbot Note Added: 0090623
2016-10-17 12:10 hgbot Status scheduled => resolved
2016-10-17 12:10 hgbot Resolution open => fixed
2016-10-17 12:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/789db27692a68070dadce30358508071032ca639 [^]
2016-10-17 12:11 aferraz Review Assigned To => aferraz
2016-10-17 12:11 aferraz Note Added: 0090627
2016-10-17 12:11 aferraz Status resolved => closed
2016-10-17 12:11 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092516


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker